# std::tr1::tuple< _T1, _T2 > Class Template Reference

List of all members.

## Detailed Description

### template<typename _T1, typename _T2>
class std::tr1::tuple< _T1, _T2 >

Definition at line 171 of file tr1/tuple.

## Public Member Functions

- template<typename _U1, typename _U2> tuple & operator= (const pair< _U1, _U2 > &__in)
- tuple & operator= (const tuple &__in)
- template<typename _U1, typename _U2> tuple & operator= (const tuple< _U1, _U2 > &__in)
- template<typename _U1, typename _U2> tuple (const pair< _U1, _U2 > &__in)
- tuple (const tuple &__in)
- template<typename _U1, typename _U2> tuple (const tuple< _U1, _U2 > &__in)
- tuple (typename __add_c_ref< _T1 >::type __a1, typename __add_c_ref< _T2 >::type __a2)
- tuple ()

The documentation for this class was generated from the following file:

- tr1/tuple